Sets the interpretation of clip path units

- « ImagickDraw::setClipRule

- ImagickDraw::setFillAlpha »

- PHP Manual
- ImagickDraw
- Sets the interpretation of clip path units

# ImagickDraw::setClipUnits

(PECL imagick 2, PECL imagick 3)

ImagickDraw::setClipUnits — Sets the interpretation of clip path units

### Description

public ImagickDraw::setClipUnits(int `$clip_units`): bool
Warning

This function is currently not documented; only its argument list is available.

Sets the interpretation of clip path units.

### Parameters

`clip_units`

  the number of clip units

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setClipUnits() example

    <?phpfunction setClipUnits($strokeColor, $fillColor, $backgroundColor) {    $draw = new \ImagickDraw();    $draw->setStrokeColor($strokeColor);    $draw->setFillColor($fillColor);    $draw->setStrokeOpacity(1);    $draw->setStrokeWidth(2);    $clipPathName = 'testClipPath';    $draw->setClipUnits(\Imagick::RESOLUTION_PIXELSPERINCH);    $draw->pushClipPath($clipPathName);    $draw->rectangle(0, 0, 250, 250);    $draw->popClipPath();    $draw->setClipPath($clipPathName);    //RESOLUTION_PIXELSPERINCH    //RESOLUTION_PIXELSPERCENTIMETER    $draw->rectangle(200, 200, 300, 300);    $imagick = new \Imagick();    $imagick->newImage(500, 500, $backgroundColor);    $imagick->setImageFormat("png");    $imagick->drawImage($draw);    header("Content-Type: image/png");    echo $imagick->getImageBlob();}?>